> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/aplikacja-biznesowa/uruchamianie-aplikacji.md).

# Launching the application

If you do not want to start by launching a form, but only the application, the first step is to set the **starting point** of the application (form or process).

## Setting the application starting point

You can set the starting point directly in the **Applications** module, in the **Forms** or **Processes**.

{% hint style="info" %}
tab. To launch the application correctly, you must first create the data model described in [Data model](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/model-danych.md).
{% endhint %}

### Setting a form as the application starting point (recommended) and launching the application

You can set one of the forms added to the application as its starting point. After opening the **Forms** tab, click the context menu for the relevant form and select **Set as starting point**:

![Figure 1. Context menu with the option to set a form as the starting point.](https://content.gitbook.com/content/2CssJT0zIo4SJQLbSZ6l/blobs/KbMvaMEF7wh7FaEnjaUW/wniosek_jako_start_app_pliki/image2024-4-23_12-59-6.png)

{% hint style="warning" %}
Note! After changing the starting form, you may need to "invalidate cache" in webforms (if the application has already been launched). To do this, run the following cURL command (replace UZYTKOWNIK and HASLO with the appropriate credentials):
{% endhint %}

{% code title="Invalidate cache" %}

```bash
curl -u UZYTKOWNIK:HASLO -X POST "http://webforms-dev.dev.consdata.org/cache/invalidate?cacheType=PUBLISHED_TEMPLATE"
```

{% endcode %}

To launch an application, for example one named wiki\_przyklad\_app, use the following link:

```
https://przykladowy.link.demo/stkn=#/wiki_przyklad_app
```

When the application is launched, the **form**set as the starting point will open.

### Setting a process as the starting point and launching the application

{% hint style="info" %}
Feature availability depends on the license and may not be available in all deployments.
{% endhint %}

In some cases, the application should start with a process that controls its logic.

To set a process as the starting point, after opening the **Processes** tab, click the so-called "kebab menu" and select **Set as starting point**:

![Figure 2. Context menu with the option to set a process as the starting point.](https://content.gitbook.com/content/2CssJT0zIo4SJQLbSZ6l/blobs/e9TRZvRVf31katSFcbAV/proces_jako_start_app_pliki/image2024-12-4_11-12-37.png)

If you set a process rather than a form as the application starting point, go to the form's **Properties** tab, then open the **Flows** tab and, in the [**Actions**](https://wiki.consdata.pl/display/IED/Akcje) section, define the following event:

* **Action handler component:** e.g. *Trigger or Page*
* **Event type** *:* *depends on the selected component that triggers the change*
* **Form action:** *START\_APPLICATION*
* **Application name:** the name of the application to launch (the application will launch **process** set as the start point) or the name of the process to be started
* **Redirect to the next step in the process:** condition *JAVASCRIPT* - specifies whether to automatically redirect to the next step (*user task*); default value: *false.*

![Figure 3. Example of defining the START\_APPLICATION action triggered when the Trigger is clicked.](https://content.gitbook.com/content/2CssJT0zIo4SJQLbSZ6l/blobs/X2vByfdD4195LeDDpmIP/uruchamanie_app_pliki/image2025-5-27_10-43-38.png)

*The application will start when an event that handles the START\_APPLICATION action is triggered.*

### Information about the configured start point

If an application request or process is the application's start point, an informational tag with a flag icon and the text "Start point" is displayed.

![Figure 4. Example of how a configured start point is displayed](https://2112972046-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F2CssJT0zIo4SJQLbSZ6l%2Fuploads%2Fgit-blob-baf6415dc19dab3a60f200a694f423c058aaa947%2Fustawiony-punkt-startowy.png?alt=media)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/aplikacja-biznesowa/uruchamianie-aplikacji.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
